.sub_header {
    background: #ebebeb;
    min-height: 30px;
}

@media (max-width:420px) {
    #style-join-border-red {
        /* margin-top: 10px !important; */
    }
    .gnav-header .has-svg-icons .nav-icon.gigtodo-icon svg,
    .gnav-header .has-svg-icons .nav-icon.inline-svg svg {
        top: 1px !important;
    }
}


.hamburger-icon {
    color: gray;
}

@media (max-width:418px) {
    #style-join-border-red {
        /* margin-top: 19px; */
        /* display: none; */
    }
    .box-shadow-header-top2 {
        box-shadow: 0px 0px 0px grey !important;
    }
    #log-in-mod-el {
        padding: 3px 12px;
        /* border: 1px solid red; */
        background-color: #00cedc;
        color: white;
        border-radius: 2px;
        display: none;
    }
}


/* =============--- rampal css ----========== */

@media (max-width:480px) {
    #log-in-mod-el {
        margin-right: 10px;
        padding: 0px;
    }
    .register-link a {
        color: black;
    }
    .register-link {
        display: flex;
        align-items: center;
    }
}

@media (max-width: 480px) {
    #log-in-mod-el a {
        color: black !important;
        padding: 0px;
        background-color: transparent !important;
        margin-top: 2px;
    }
    #log-in-mod-el {
        margin-right: 10px;
    }
    #log-in-mod-el {
        background-color: transparent !important;
    }
}

@media (min-width: 1024px) {
    .style-display-flex {
        display: none !important;
    }
    .account-nav {
        /* border: 2px solid green; */
        padding-right: 0px;
        /* padding-top: 7px; */
    }
    .mobile_screen_respo_logo {
        display: none !important;
    }
}

@media (max-width: 1024px) {
    .sub_header {
        display: none;
    }
    .account-nav {
        /* border: 2px solid green; */
        padding-right: 10px;
        padding-top: 34px;
        /* background-color: red; */
    }
    .box-shadow-header-top {
        padding-bottom: 1rem;
    }
}

@media(max-width:420px) {
    .mobile_screen_respo_logo_img {
        margin: auto;
        margin-top: -2px;
        height: 41px;
    }
}

@media(max-width:420px) {
    .mobile_screen_respo_logo {
        display: block;
        margin-top: 1px;
    }
    .btn_join2 {
        background-color: black !important;
    }
}

.sub_header .sub_header_inner {
    max-width: 1450px;
    margin: 0 auto;
    width: 100%;
}

.sub_header_menu {
    list-style: none;
    margin: 0;
    padding: 10px 10px 5px 7px;
}

.sub_header_menu li {
    display: inline;
    padding: 0 10px;
}

.sub_header_inner .right_text {
    padding: 0px 0px;
}

.sub_header_inner .right_text a {
    text-decoration: underline;
    color: #00cedc;
}

#search-bar-btn-respo {
    padding-right: 15px;
    padding-left: 15px;
}

.box-shadow-header-top {
    box-shadow: 0px 0px 8px grey !important;
}

@media(min-width:767.8px) {
    .gnav-header .search-nav {
        position: relative;
        float: left;
        width: 35%;
        margin: auto;
        /* height: 68px; */
        margin-top: 3px;
        /* margin-left: 10%; */
        /* border:2px solid green; */
    }
}

@media(min-width:1024px) {
    .gnav-header .search-nav {
        position: relative;
        float: left;
        width: 35%;
        margin: auto;
        height: 45px;
        margin-top: 3px;
        margin-left: 3%;
        /* border:2px solis green; */
    }
}

@media(min-width:1095px) {
    .gnav-header .search-nav {
        position: relative;
        float: left;
        width: 39%;
        margin: auto;
        height: 45px;
        margin-top: 3px;
        margin-left: 6%;
        /* border:2px solis green; */
    }
}

@media (max-width:767.8px) {
    #gnav-search {
        /* border: 2px solid green; */
        width: 100%;
        display: flex;
    }
    .gnav-header .search-nav {
        position: relative;
        float: left;
        width: 45%;
        margin: auto;
        /* height: 68px; */
        margin-top: 3px;
        /* margin-left: 10%; */
    }
    .mobile_screen_respo_logo {
        display: block;
        width: 70%;
        /* border:1px solid green; */
    }
    .mobile_screen_respo_logo_img {
        margin: auto;
        /* margin-top: 7px; */
        margin-left: 7px;
        height: 40px;
        margin-top: -2px;
    }
}

.margin-top-6 {
    margin-top: 4px;
}

.style-display-flex {
    display: flex;
    /* padding-right: 15%; */
    padding-top: 10px;
    height: 48px;
}

@media(min-width:640px) and (max-width:767.8px) {}

@media(min-width:768px) and (max-width:1023.8px) {
    .mobile_screen_respo_logo_img {
        margin-top: auto;
        margin-bottom: auto;
        height: 40px;
        margin-left: 10px;
        margin-top: -2px;
    }
    .style-display-flex {
        display: -webkit-box;
        /* padding-right: 15%; */
        padding-top: 10px;
        height: 48px;
    }
    .mobile_screen_respo_logo {
        display: flex;
        width: 70%;
    }
}

@media (max-width:419.8px) {
    .box-shadow-header-top2 {
        border-bottom: 1px solid lightslategrey;
        box-shadow: none !important;
    }
}

.display_none_on_dt {
    display: none;
}

@media (max-width:479.8px) {
    .box-shadow-header-top2 {
        border-bottom: 1px solid lightslategrey;
        box-shadow: none !important;
    }
    .display_none_on_dt {
        display: flex;
        font-size: 12px;
        font-weight: 600;
        top: 5px;
        left: -12px;
        position: absolute;
    }
}

.ram_canvas {
    position: relative;
}

@media screen and (min-width: 768px) {
    #ram_canvas_toggle {
        display: none;
    }
}

@media screen and (max-width: 1025px) {
    .clearable {
        width: 80% !important;
    }
    #gnav-search {
        display: none;
    }
}

.fa-searchengin {
    color: black;
}

.ram_canvas_content {
    position: fixed;
    top: -200px;
    left: 0;
    width: 100%;
    height: 65px;
    background-color: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: top 0.3s ease-in-out;
    z-index: 99999999;
    overflow-y: auto;
    border-radius: 0 0 0.25rem 0.25rem;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.ram_canvas.show #ram_canvas_content {
    top: 0;
}


/* Close Button */

.ram_canvas_close {
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 24px;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 1000;
}

.ram_canvas_overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 998;
}


/* Toggle Button */

.ram_canvas_toggle {
    position: relative;
    z-index: 1001;
    cursor: pointer;
    font-size: 15px;
    transition: opacity 0.3s ease;
    margin-left: 12px;    
    top: 6px;
}

.ram_canvas.show #ram_canvas_toggle {
    opacity: 0;
    pointer-events: none;
    /* Prevent interaction */
}


/* Show the overlay when offcanvas is open */

.ram_canvas.show #ram_canvas_overlay {
    visibility: visible;
    opacity: 1;
}

.clearable_4 {
    width: 90 !important;
}

@media screen and (max-width:767.8px) {
    .is-responsive .gnav-header .gnav-search-inner {
        position: relative;
        top: 0;
        margin-top: 31px;
        margin-bottom: 10px;
        width: 90%;
    }
    .gnav-header .search-button-wrapper .btn-primary {
        padding-left: 5px;
        padding-right: 5px;
    }
}

.clearable_4 {
    width: 80%;
}

.border_lightgrey {
    border: 1px solid lightgray;
}

.no_border {
    border: none;
}

.text-align-center2 {
    text-align: center;
    align-content: center;
}

.order-proposal-title-custom {
    font-size: 15px;
    margin-left: 10px;
    color: black !important;
}

.input_style_mobile_search {
    width: 90%;
    padding: 10px;
    border-radius: 3px;
    border: 1px solid lightgrey;
}

.btn_style_mobile_search {
    padding: 10px;
    border-radius: 3px;
    border: 1px solid #00cedc;
    background-color: #00cedc;
    color: white;
}

@media (max-width:480px) {
    .gnav-header #mobilemenu {
        /* padding-top: 3px; */
        margin-left: 5px;
    }
    .box-shadow-header-top2 {
        box-shadow: 0px 0px 0px grey !important;
    }
    /* #style-join-border-red a {
        font-weight: 500;
        background-color: #fff !important;
        color: #00cedc !important;
        border: none !important;
        box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
        font-size: 16px;
        border: 1px solid #00000082 !important;
        padding: 5px;
        margin-top: 3px !important;
        margin-bottom: auto !important;
    } */
    .fa-magnifying-glass {
        font-size: 18px;
        /* color: gray; */
        margin-top: 8px;
    }
    .ram_canvas_toggle {
        display: none;
        /* Initially hide the icon */
        z-index: 1000;
        opacity: 0;
        transform: translateY(20px);
        transition: opacity 0.5s ease-out, transform 0.5s ease-out;
        top: 0;
    }
    .ram_canvas_toggle.show {
        display: block;
        opacity: 1;
        transform: translatex(0);
    }
    #log-in-mod-el {
        padding: 3px 12px;
        /* border: 1px solid red; */
        background-color: #00cedc;
        color: white;
        border-radius: 2px;
        display: none;
    }
}

.input_password_convert_btn{   
    position: relative;
}

.input_password_convert_btn img{
    position: absolute;
    right: 7px;
    /* font-size: 10px; */
    width: 22px;
    top: 6px;
}
.input_password_convert_btn2{
    position: relative;
}
.input_password_convert_btn2 img{
    position: absolute;
    right: 7px;
    /* font-size: 10px; */
    width: 22px;
    top: 10px;
}